package com.yeejoin.equipmanage.common.datasync.enums;

/**
 * 
 * <pre>
 * 在岗监测视图轮询周期
 * </pre>
 *
 * @author gwb
 * @version $Id: MonitorViewPollingPeriodEnum.java, v 0.1 2021年9月13日 下午4:16:52 gwb Exp $
 */
public enum MonitorViewPollingPeriodEnum {
    /**
     * 30秒
     */
	HALF_A_MINUTE("30秒", 30),
    /**
     * 1分钟
     */
	ONE_MINUTE("1分钟", 60),
    /**
     * 3分钟
     */
	THREE_MINUTES("3分钟", 180),
    /**
     * 5分钟
     */
	FIVE_MINUTES("5分钟", 300),
    /**
     * 10分钟
     */
	TEN_MINUTES("10分钟", 600);

    /**
     * 名称
     */
    private final String name;
    /**
     * 值
     */
    private final int value;

    MonitorViewPollingPeriodEnum(String name, int value) {
        this.name = name;
        this.value = value;
    }

	public String getName()
	{
		return name;
	}

	public int getValue()
	{
		return value;
	}

}
